MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029668Open CASCADE[OCCT] OCCT:Configurationpublic2018-04-02 14:122018-04-11 12:06
Reporternds 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.3.0Fixed in Version 
Summary0029668: Configuration: build Inspector application independently on BUILD_MODULE_QtSamples state
DescriptionExpected behavior:
- BUILD_Inspector=ON builds inspector libraries and TInspectorEXE.
- BUILD_MODULE_QtSamples=ON builds qt samples.(For now on: AndroidQt(Win,Android) FuncDemo IESample Tutorial)

TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0029571verifiedbugmaster Samples: build qt samples together with OCCT 

-  Notes
(0075103)
nds (developer)
2018-04-02 14:13

Provide samples.sh to check qt samples on Unix.
(0075104)
git (administrator)
2018-04-02 14:17

Branch CR29668 has been created by nds.

SHA-1: d051064495d3485ea0b1a88d0802539f072ab5f6


No new revisions were added by this update.
(0075105)
git (administrator)
2018-04-02 14:17

Branch CR29668 has been updated by nds.

SHA-1: eb5923744179ca15901d0eb71c6bea937e6c15da


Detailed log of new commits:

Author: nds
Date: Mon Apr 2 14:17:44 2018 +0300

    0029668: Configuration: build Inspector aplication independently on BUILD_MODULE_QtSamples state

(0075156)
git (administrator)
2018-04-04 06:18

Branch CR29668_1 has been created by nds.

SHA-1: 5f957845799e6d5a0227600cb7f486b97f883bb1


Detailed log of new commits:

Author: nds
Date: Wed Apr 4 06:18:10 2018 +0300

    0029668: Configuration: build Inspector application independently on BUILD_MODULE_QtSamples state
(0075164)
nds (developer)
2018-04-04 13:03

Please, use CR29668 branch.

Jenkins: http://jenkins-test-11.nnov.opencascade.com/view/CR29668-master-NDS [^]
(0075173)
bugmaster (administrator)
2018-04-04 16:52

Combination -
OCCT branch : CR29668 SHA - eb5923744179ca15901d0eb71c6bea937e6c15da
Products branch : master SHA - d1433da51be7aa6ea5f04a20d332d5b18f879d1f
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian70-64:
OCCT
Total CPU difference: 0 / 0
Products
Total CPU difference: 7491.730000000008 / 7435.139999999992 [+0.76%]
Windows-64-VC10:
OCCT
Total CPU difference: 0 / 0
Products
Total CPU difference: 8137.4177625999955 / 8129.77371359997 [+0.09%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0075349)
git (administrator)
2018-04-11 11:00

Branch CR29668 has been deleted by kgv.

SHA-1: eb5923744179ca15901d0eb71c6bea937e6c15da
(0075350)
git (administrator)
2018-04-11 11:00

Branch CR29668_1 has been deleted by kgv.

SHA-1: 5f957845799e6d5a0227600cb7f486b97f883bb1

- Related Changesets
occt: master 6664a9c2
Timestamp: 2018-04-02 11:17:44
Author: nds
Committer: bugmaster
Details ] Diff ]
0029668: Configuration: build Inspector aplication independently on BUILD_MODULE_QtSamples state
add - adm/templates/sample.sh Diff ] File ]
mod - CMakeLists.txt Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-04-02 14:12 nds New Issue
2018-04-02 14:12 nds Assigned To => bugmaster
2018-04-02 14:12 nds Relationship added related to 0029571
2018-04-02 14:13 nds Note Added: 0075103
2018-04-02 14:13 nds Assigned To bugmaster => nds
2018-04-02 14:16 nds Target Version 7.4.0* => 7.3.0
2018-04-02 14:16 nds Summary Configuration: build Inspector aplication independently on BUILD_MODULE_QtSamples state => 0029668: Configuration: build Inspector aplication independently on BUILD_MODULE_QtSamples state
2018-04-02 14:16 nds Summary 0029668: Configuration: build Inspector aplication independently on BUILD_MODULE_QtSamples state => Configuration: build Inspector aplication independently on BUILD_MODULE_QtSamples state
2018-04-02 14:17 git Note Added: 0075104
2018-04-02 14:17 git Note Added: 0075105
2018-04-03 10:32 bugmaster Description Updated View Revisions
2018-04-04 06:16 nds Summary Configuration: build Inspector aplication independently on BUILD_MODULE_QtSamples state => Configuration: build Inspector application independently on BUILD_MODULE_QtSamples state
2018-04-04 06:18 git Note Added: 0075156
2018-04-04 13:00 nds Status new => resolved
2018-04-04 13:03 nds Note Added: 0075164
2018-04-04 13:03 nds Assigned To nds => bugmaster
2018-04-04 13:03 nds Status resolved => reviewed
2018-04-04 16:52 bugmaster Note Added: 0075173
2018-04-04 16:52 bugmaster Status reviewed => tested
2018-04-11 07:49 bugmaster Changeset attached => occt master 6664a9c2
2018-04-11 07:49 bugmaster Status tested => verified
2018-04-11 07:49 bugmaster Resolution open => fixed
2018-04-11 11:00 git Note Added: 0075349
2018-04-11 11:00 git Note Added: 0075350
2018-04-11 12:06 bugmaster Test case number => Not needed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker